package com.xy.utils.enums;


import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.ToString;

/**
 * 设备授权码使用状态
 *
 * @author 谭斌
 */
@Getter
@ToString
@AllArgsConstructor
public enum DeviceAuthCodeUseStatus {


    UN_USED("1", "未使用"),
    USED("2", "已使用"),
    TIME_OUT("3", "已失效");

    /**
     * 编码值
     */
    private String code;

    /**
     * 描述
     */
    private String description;


    /**
     * 通过code获取enum
     *
     * @param code
     * @return
     */
    public static DeviceAuthCodeUseStatus getEnumByCode(String code) {
        DeviceAuthCodeUseStatus[] values = values();
        for (DeviceAuthCodeUseStatus value : values) {
            if (value.getCode().equals(code)) {
                return value;
            }
        }
        return null;
    }
}
